STRUCT DATA_T(3)

NAME
boost::intrusive::treap::data_t

SYNOPSIS

// In header: <boost/intrusive/treap.hpp>
struct data_t {
  // types
  typedef treap::value_traits value_traits;
  // construct/copy/destruct
  data_t(const value_compare &, const priority_compare &,
         const value_traits &);
  node_plus_pred_t node_plus_pred_;
};

DESCRIPTION

  data_t public construct/copy/destruct

    1.

    data_t(const value_compare & comp, const priority_compare & pcomp,
           const value_traits & val_traits);